//
//  BSAppDelegate.m
//  PubSubTest
//
//  Created by Sasmito Adibowo on 12-10-11.
//  Copyright (c) 2011 Basil Salad Software. All rights reserved.
//

#import "BSAppDelegate.h"
#import <PubSub/PubSub.h>



@implementation BSAppDelegate

@synthesize resultLabel = _resultLabel;
@synthesize window = _window;

- (void)dealloc
{
    [super dealloc];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (IBAction)fetchDataClicked:(id)sender {
    
    NSString* sourceURLString = @"http://images.apple.com/main/rss/hotnews/hotnews.rss";
    NSURL* sourceURL = [NSURL URLWithString:sourceURLString];
    
    NSError* error = nil;
    NSData* feedData = [NSData dataWithContentsOfURL:sourceURL options:0 error:&error];
    if (error) {
        [self.resultLabel setStringValue:error.description];
        return;
    }
    PSFeed* feed = [[[PSFeed alloc] initWithData:feedData URL:sourceURL] autorelease];
    
    NSString* textResult = [NSString stringWithFormat:@"Number of entries: %d",feed.entries.count];
    
    [self.resultLabel setStringValue:textResult];
}
@end
